Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 187626 - Re-keyword latest media-sound/bossogg
Summary: Re-keyword latest media-sound/bossogg
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: PPC Porters
URL:
Whiteboard:
Keywords:
Depends on: 187826
Blocks:
  Show dependency tree
 
Reported: 2007-08-03 16:57 UTC by Samuli Suominen
Modified: 2007-10-21 06:09 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
bossogg-0.13.6-multilib.patch (bossogg-0.13.6-multilib.patch,945 bytes, patch)
2007-08-05 05:54 UTC, Samuli Suominen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2007-08-03 16:57:43 UTC
Current stable 0.13.6-r2 doesn't build with GCC4 and is incompatible with FLAC 1.1.3. 

amd64, sparc, x86, stabilize 0.13.6-r3. 

ppc, seems your keyword was dropped long time ago, please re-keyword 0.13.6-r3.
Comment 1 Gustavo Zacarias (RETIRED) gentoo-dev 2007-08-03 19:00:33 UTC
sparc stable.
Comment 2 Angelo Arrifano (RETIRED) gentoo-dev 2007-08-03 21:36:32 UTC
media-sound/bossogg-0.13.6-r3 USE="mad vorbis -flac" fails multilib check.

>>> Completed installing bossogg-0.13.6-r3 into /home/.tmp/portage/media-sound/bossogg-0.13.6-r3/image/

strip: x86_64-pc-linux-gnu-strip --strip-unneeded
   usr/lib/python2.4/site-packages/_bossao.so.0.0.0
   usr/lib/python2.4/site-packages/_id3.so.0.0.0
   usr/lib/python2.4/site-packages/_id3.a
   usr/lib/python2.4/site-packages/_bossao.a
Files matching a file type that is not allowed:
   usr/lib/python2.4/site-packages/_bossao.so.0.0.0
   usr/lib/python2.4/site-packages/_id3.so.0.0.0

!!! ERROR: media-sound/bossogg-0.13.6-r3 failed.
Call stack:
  misc-functions.sh, line 561:   Called install_qa_check
  misc-functions.sh, line 341:   Called die

!!! multilib-strict check failed!


Portage 2.1.2.9 (default-linux/amd64/2007.0/desktop, gcc-4.1.2, glibc-2.5-r4, 2.6.20-gentoo-r8 x86_64)
=================================================================
System uname: 2.6.20-gentoo-r8 x86_64 AMD Athlon(tm) 64 Processor 3400+
Gentoo Base System release 1.12.9
Timestamp of tree: Sun, 29 Jul 2007 17:30:10 +0000
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python:     2.3.5-r3, 2.4.4-r4
dev-python/pycrypto: 2.0.1-r5
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.23b
virtual/os-headers:  2.6.21
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -pipe -Os"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/bind"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-march=athlon64 -pipe -Os"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect distlocks metadata-transfer multilib-strict sandbox sfperms strict test"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LINGUAS="pt pt_PT en en_US"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/home/.tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acpi alsa amd64 apache2 asf avi bash-completion bitmap-fonts bluetooth branding bzip2 cairo cdr cli cpudetection cracklib crypt cups dbus divx divx4linux dlloader dmi dmx dri dvd dvdr dvdread emboss emul-linux-x86 encode exif fam ffmpeg fftw firefox fortran ftp gif gimpprint glibc-compat20 glitz gmedia gnokii gnutls gstreamer gtk gtk2 hal hddtemp iconv ieee1394 insecure-savers irda isdnlog javascript joystick jpeg kqemu libcaca libg++ mad matroska midi mikmod minimal mmx mmxext mozilla mp3 mpeg mplayer msn mudflap musicbrainz ncurses nls nocd nptl nptlonly nsplugin nvidia offensive ogg oggvorbis opengl openmp pam pcmcia pcre pda pdf pdflib png portaudio pppd qt qt3support quicktime readline realmedia rtc samba screen sdl session sguil sms sockets sound spamassassin spell spl srt sse sse2 ssl subtitles svg syslog tcpd test threads tidy tiff tream truetype truetype-fonts type1 type1-fonts unicode usb v4l v4l2 visualization vorbis wifi wmp xcomposite xml xorg xosd xpm xscreensaver xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="pt pt_PT en en_US" USERLAND="GNU" VIDEO_CARDS="nv nvidia none"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Samuli Suominen gentoo-dev 2007-08-04 16:42:28 UTC
(In reply to comment #2)
> media-sound/bossogg-0.13.6-r3 USE="mad vorbis -flac" fails multilib check.

It should be fixed now, re-test.
Comment 4 Angelo Arrifano (RETIRED) gentoo-dev 2007-08-04 19:56:47 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > media-sound/bossogg-0.13.6-r3 USE="mad vorbis -flac" fails multilib check.
> 
> It should be fixed now, re-test.
> 

It is still installing into /usr/lib. It looks like configure is using AM_PATH_PYTHON(2.2) to search for python path and this macro is returning a hardcoded libdir:

$ grep -E "\/lib\/" /usr/share/aclocal-1.10/python.m4 
  dnl $prefix/lib/site-python in 1.4 to $prefix/lib/python1.5/site-packages
     echo "$PYTHON_PREFIX/lib/python$PYTHON_VERSION/site-packages"`])
     echo "${PYTHON_EXEC_PREFIX}/lib/python${PYTHON_VERSION}/site-packages"`])
Comment 5 Angelo Arrifano (RETIRED) gentoo-dev 2007-08-04 20:06:37 UTC
I looked more into it and:

during configure:
(...)
checking for python version... 2.4
checking for python platform... linux2
checking for python script directory... ${prefix}/lib/python2.4/site-packages
checking for python extension module directory... ${exec_prefix}/lib64/python2.4/site-packages
checking whether byte ordering is bigendian... no
(...)

The check for script directory in python.m4 is:
$PYTHON -c "from distutils import sysconfig; print sysconfig.get_python_lib(0,0,prefix='$PYTHON_PREFIX')
which returns /usr/lib/python2.4/site-packages

I hope this helps
Comment 6 Samuli Suominen gentoo-dev 2007-08-05 05:54:12 UTC
Created attachment 126917 [details, diff]
bossogg-0.13.6-multilib.patch

I really don't have multilib system to test anything myself so here goes.. please try with this, add a epatch "${FILESDIR}"/${P}-multilib.patch line before eautoreconf in ebuild, and this patch to files/ directory.
Comment 7 Samuli Suominen gentoo-dev 2007-08-05 13:58:32 UTC
(In reply to comment #6)
> Created an attachment (id=126917) [edit]
> bossogg-0.13.6-multilib.patch
> 
> I really don't have multilib system to test anything myself so here goes..
> please try with this, add a epatch "${FILESDIR}"/${P}-multilib.patch line
> before eautoreconf in ebuild, and this patch to files/ directory.
> 

I've applied a different patch fixing this in CVS, thanks to Ken69297 in #-amd64-dev for testing.
Comment 8 Christoph Mende (RETIRED) gentoo-dev 2007-08-05 16:20:49 UTC
amd64 stable
Comment 9 Raúl Porcel (RETIRED) gentoo-dev 2007-08-05 18:24:18 UTC
x86 stable
Comment 10 Joe Jezak (RETIRED) gentoo-dev 2007-09-09 00:49:54 UTC
Marked ~ppc, closing since we're the last arch.